V4MOS API
HomeAPI Reference
Changelog
HomeAPI Reference
Changelog
V4 Marketing
  1. VTEX
  • Guia Rápido
  • Facebook Ads
    • Overview
    • Accounts
    • Ads
    • Ad Sets
    • Campaigns
    • Actions
    • Ad Creatives
    • Demographics
    • Platforms
    • Regions
    • Ad Config
    • Ad Set Config
    • Campaigns Config
  • Google Ads
    • Overview
    • Accounts
    • Ad Group Ads
    • Ad Groups
    • Campaigns
    • Keywords
    • Age Range
    • Gender
    • Geographic
    • Conversions
    • Conversion Segmented Ad Group Ads
    • Conversion Segmented Ad Groups
    • Conversion Segmented Campaigns
    • Campaigns Criterion
    • Ad Group Criterion
  • Google Analytics
    • Overview
    • Sessions
    • Events
    • Custom Events
    • Customers
    • Products
    • Transactions
  • Tray
    • Overview
    • Customers
    • Orders
    • Products
  • Shopify
    • Overview
    • Customers
    • Orders
    • Order Items
    • Products
  • Kommo
    • Overview
    • Leads
    • Contacts
    • Pipelines
    • Users
  • HubSpot
    • Overview
    • Contacts
    • Deals
    • Companies
    • Pipelines
    • Products
  • VTEX
    • Customers
      GET
    • Orders
      GET
    • Order items
      GET
  1. VTEX

Customers

GET
https://api.data.v4.marketing/v1/vtex/customers
Retrieve VTEX customers (one row per order). PII fields (email, document, phone, first_name, last_name) are stored encrypted at rest and decrypted at read time; each is null when absent or on decryption failure.

Requisição

Authorization
or
Parâmetros de Consulta

Respostas

🟢200
application/json
VTEX customers response
Bodyapplication/json

🟠400
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.data.v4.marketing/v1/vtex/customers?organizationId=org_123&userId=undefined&integrationName=undefined&orderId=undefined&dateStart=undefined&dateEnd=undefined&page=undefined&limit=undefined' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>'
Response Response Example
200 - Exemplo 1
{
    "data": [
        {
            "order_id": "string",
            "email": "string",
            "first_name": "string",
            "last_name": "string",
            "document_type": "string",
            "document": "string",
            "phone": "string",
            "user_profile_id": "string",
            "integration_id": "string",
            "organization_id": "string",
            "organization_id_legacy": "string",
            "user_id": "string",
            "document_id": "string",
            "inserted_at": "2019-08-24T14:15:22.123Z",
            "integration_name": "string"
        }
    ],
    "meta": {
        "page": 0,
        "limit": 0,
        "hasNextPage": true,
        "hasPreviousPage": true
    }
}
Modificado em 2026-06-15 17:34:00
Página anterior
Products
Próxima página
Orders
Built with